Retrieve Run Settings
curl --request GET \
--url https://api.example.com/api/v1/runs/{id}/settings \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/v1/runs/{id}/settings"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/v1/runs/{id}/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"project": {
"name": "<string>",
"description": "<string>",
"metadata": {}
},
"workflow": {
"name": "<string>",
"description": "<string>",
"graph": "<string>",
"metadata": {}
},
"environments": {},
"run": {
"goal": {
"type": "inline",
"value": "<string>"
},
"working_dir": "<string>",
"metadata": {},
"inputs": {},
"model": {
"provider": "<string>",
"name": "<string>",
"fallbacks": [
"openrouter:moonshotai/kimi-k3"
]
},
"git": {
"author": {
"name": "<string>",
"email": "<string>"
}
},
"prepare": {
"steps": [
{
"type": "script",
"script": "<string>",
"env": {}
}
],
"timeout_ms": 123
},
"execution": {},
"checkpoint": {
"exclude_globs": [
"<string>"
],
"skip_git_hooks": false
},
"clone": {
"enabled": true
},
"run_branch": {
"enabled": true,
"push": true
},
"meta_branch": {
"enabled": true,
"push": true
},
"environment": {
"id": "<string>",
"image": {
"docker": "<string>",
"dockerfile": {
"type": "inline",
"value": "<string>"
}
},
"resources": {
"cpu": 123,
"memory": "<string>",
"disk": "<string>"
},
"network": {
"allow": [
"<string>"
]
},
"lifecycle": {
"preserve": true,
"stop_on_terminal": true,
"auto_stop": "<string>"
},
"labels": {},
"env": {},
"cwd": "/srv/fabro/workspaces/team-a"
},
"notifications": {},
"interviews": {
"provider": "<string>",
"slack": {
"channel": "<string>"
}
},
"agent": {
"mcps": {}
},
"hooks": [
{
"name": "<string>",
"command": "<string>",
"matcher": "<string>",
"blocking": true,
"timeout_ms": 123,
"sandbox": true,
"url": "<string>",
"headers": {},
"prompt": "<string>",
"model": "<string>",
"max_tool_rounds": 123
}
],
"scm": {
"provider": "<string>",
"owner": "<string>",
"repository": "<string>",
"github": {}
},
"pull_request": {
"enabled": true,
"draft": true,
"auto_merge": true
},
"artifacts": {
"include": [
"<string>"
]
},
"integrations": {
"github": {
"permissions": {}
}
}
}
}{
"errors": [
{
"status": "404",
"title": "Not Found",
"detail": "Run not found.",
"code": "access_token_expired",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"leftover_env_keys": [
"<string>"
],
"removed_env_keys": [
"<string>"
]
}Run Internals
Retrieve Run Settings
Returns the persisted dense WorkflowSettings snapshot used to launch this run.
GET
/
api
/
v1
/
runs
/
{id}
/
settings
Retrieve Run Settings
Authorizations
BearerAuthSessionCookie
Raw dev token passed as Authorization: Bearer fabro_dev_... when server.auth.methods includes dev-token.
Path Parameters
Unique run identifier (ULID).
Response
Run settings
The persisted dense WorkflowSettings snapshot used for a specific run.
This matches the resolved run settings recorded at launch time.
⌘I